count: 1306
next: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&ordering=id&page=4
previous: https://normandy.cdn.mozilla.net/api/v3/recipe/?format=yaml&ordering=id&page=2
results:
- approved_revision: null
  id: 86
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: HB-selftest engagement button label
      message: HB-selftest message
      surveyId: HB-selftest
      thanksMessage: HB-selftest thanks message
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-02-07T22:42:00.237478Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: '[normandy.userId, normandy.recipe.id]|stableSample(1)
      && normandy.locale == ''x-testing'' && false'
    filter_expression: '[normandy.userId, normandy.recipe.id]|stableSample(1) && normandy.locale
      == ''x-testing'' && false'
    filter_object: []
    id: 1124
    identicon_seed: v1:86
    metadata: {}
    name: HB-selftest
    recipe:
      approved_revision_id: null
      id: 86
      latest_revision_id: 1124
    updated: '2017-02-07T22:42:00.244370Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 87
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt installieren
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-short1&sglocale=de
      message: Senden Sie Firefox an Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-short1
      surveyId: mobile-de-feedback-short1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:32.301608Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*0, 4, 10000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*0, 4, 10000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1249
    identicon_seed: v1:87
    metadata: {}
    name: Promo - Mobile - de-feedback-short1
    recipe:
      approved_revision_id: null
      id: 87
      latest_revision_id: 1249
    updated: '2017-02-01T23:53:25.464057Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 88
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt installieren
      message: Senden Sie Firefox an Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-short1
      surveyId: mobile-de-nofeedback-short1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:35.056620Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*1, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*1, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1233
    identicon_seed: v1:88
    metadata: {}
    name: Promo - Mobile - de-nofeedback-short1
    recipe:
      approved_revision_id: null
      id: 88
      latest_revision_id: 1233
    updated: '2017-02-01T23:53:25.378397Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 89
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt senden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-short2&sglocale=de
      message: Holen Sie sich Firefox auf Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-short2
      surveyId: mobile-de-feedback-short2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:38.613173Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*2, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*2, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1239
    identicon_seed: v1:89
    metadata: {}
    name: Promo - Mobile - de-feedback-short2
    recipe:
      approved_revision_id: null
      id: 89
      latest_revision_id: 1239
    updated: '2017-02-01T23:53:25.324853Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 90
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt senden
      message: Holen Sie sich Firefox auf Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-short2
      surveyId: mobile-de-nofeedback-short2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:41.170926Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*3, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*3, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1226
    identicon_seed: v1:90
    metadata: {}
    name: Promo - Mobile - de-nofeedback-short2
    recipe:
      approved_revision_id: null
      id: 90
      latest_revision_id: 1226
    updated: '2017-02-01T23:53:25.280028Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 91
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt senden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-fun1&sglocale=de
      message: Der Fuchs zum Mitnehmen. Holen Sie sich Firefox auf Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop/?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-fun1
      surveyId: mobile-de-feedback-fun1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:44.180603Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*4, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*4, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1221
    identicon_seed: v1:91
    metadata: {}
    name: Promo - Mobile - de-feedback-fun1
    recipe:
      approved_revision_id: null
      id: 91
      latest_revision_id: 1221
    updated: '2017-02-01T23:53:25.237286Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 92
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt senden
      message: Der Fuchs zum Mitnehmen. Holen Sie sich Firefox auf Ihr Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fun1
      surveyId: mobile-de-nofeedback-fun1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:47.238553Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*5, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*5, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1216
    identicon_seed: v1:92
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fun1
    recipe:
      approved_revision_id: null
      id: 92
      latest_revision_id: 1216
    updated: '2017-02-01T23:53:25.196908Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 93
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Erste Schritte
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-fun2&sglocale=de
      message: Freilaufende Tabs schmecken besser. Öffnen Sie Ihre Desktop-Tabs auf
        Ihrem Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-fun2
      surveyId: mobile-de-feedback-fun2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:50.145084Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*6, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*6, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1211
    identicon_seed: v1:93
    metadata: {}
    name: Promo - Mobile - de-feedback-fun2
    recipe:
      approved_revision_id: null
      id: 93
      latest_revision_id: 1211
    updated: '2017-02-01T23:53:25.156936Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 94
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Erste Schritte
      message: Freilaufende Tabs schmecken besser. Öffnen Sie Ihre Desktop-Tabs auf
        Ihrem Handy.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fun2
      surveyId: mobile-de-nofeedback-fun2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:53.017736Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*7, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*7, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1206
    identicon_seed: v1:94
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fun2
    recipe:
      approved_revision_id: null
      id: 94
      latest_revision_id: 1206
    updated: '2017-02-01T23:53:25.117143Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 95
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt installieren
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-fxa1&sglocale=de
      message: Senden Sie Firefox an Ihr Handy und synchronisieren Sie Ihre Lesezeichen,
        Passwörter, Chronik und mehr.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-fxa1
      surveyId: mobile-de-feedback-fxa1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:55.754986Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*8, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*8, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1201
    identicon_seed: v1:95
    metadata: {}
    name: Promo - Mobile - de-feedback-fxa1
    recipe:
      approved_revision_id: null
      id: 95
      latest_revision_id: 1201
    updated: '2017-02-01T23:53:25.933032Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 96
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt installieren
      message: Senden Sie Firefox an Ihr Handy und synchronisieren Sie Ihre Lesezeichen,
        Passwörter, Chronik und mehr.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fxa1
      surveyId: mobile-de-nofeedback-fxa1
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:42:58.591974Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*9, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*9, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1196
    identicon_seed: v1:96
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fxa1
    recipe:
      approved_revision_id: null
      id: 96
      latest_revision_id: 1196
    updated: '2017-02-01T23:53:25.076826Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 97
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Senden Sie Firefox an Ihr Handy
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-fxa2&sglocale=de
      message: Ziehen Sie beim Surfen einfach vom Laptop auf Ihr Handy um.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-fxa2
      surveyId: mobile-de-feedback-fxa2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:43:01.234386Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*10, 4,\
      \ 1000)\n    && normandy.locale in ['de']\n    && normandy.syncSetup\n    &&\
      \ normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*10, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1191
    identicon_seed: v1:97
    metadata: {}
    name: Promo - Mobile - de-feedback-fxa2
    recipe:
      approved_revision_id: null
      id: 97
      latest_revision_id: 1191
    updated: '2017-02-01T23:53:25.038139Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 98
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Senden Sie Firefox an Ihr Handy
      message: Ziehen Sie beim Surfen einfach vom Laptop auf Ihr Handy um.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fxa2
      surveyId: mobile-de-nofeedback-fxa2
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:43:05.919229Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*11, 4,\
      \ 1000)\n    && normandy.locale in ['de']\n    && normandy.syncSetup\n    &&\
      \ normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*11, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1186
    identicon_seed: v1:98
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fxa2
    recipe:
      approved_revision_id: null
      id: 98
      latest_revision_id: 1186
    updated: '2017-02-01T23:53:24.874129Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 99
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Paar zusammenführen
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://www.surveygizmo.com/s3/3159452/Mobile-Heartbeat?utm_content=de-feedback-fxa3&sglocale=de
      message: Ihr Firefox-Konto trifft Ihr Handy. Beide verlieben sich ineinander.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-feedback-fxa3
      surveyId: mobile-de-feedback-fxa3
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:43:07.858243Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*12, 4,\
      \ 1000)\n    && normandy.locale in ['de']\n    && normandy.syncSetup\n    &&\
      \ normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*12, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1181
    identicon_seed: v1:99
    metadata: {}
    name: Promo - Mobile - de-feedback-fxa3
    recipe:
      approved_revision_id: null
      id: 99
      latest_revision_id: 1181
    updated: '2017-02-01T23:53:24.834202Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 100
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Paar zusammenführen
      message: Ihr Firefox-Konto trifft Ihr Handy. Beide verlieben sich ineinander.
      postAnswerUrl: https://www.mozilla.org/firefox/mobile-download/desktop?utm_source=firefox-browser&utm_medium=heartbeat&utm_campaign=mobileinstall&utm_content=de-nofeedback-fxa3
      surveyId: mobile-de-nofeedback-fxa3
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-23T17:43:10.943615Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*13, 4,\
      \ 1000)\n    && normandy.locale in ['de']\n    && normandy.syncSetup\n    &&\
      \ normandy.syncMobileDevices == 0\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(62 + 4*13, 4, 1000)\n\
      \    && normandy.locale in ['de']\n    && normandy.syncSetup\n    && normandy.syncMobileDevices\
      \ == 0\n)"
    filter_object: []
    id: 1176
    identicon_seed: v1:100
    metadata: {}
    name: Promo - Mobile - de-nofeedback-fxa3
    recipe:
      approved_revision_id: null
      id: 100
      latest_revision_id: 1176
    updated: '2017-02-01T23:53:24.792834Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 101
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Get it now
      learnMoreMessage: Learn More
      learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Shield_Studies
      message: Want to try something new in Firefox?
      postAnswerUrl: https://addons.mozilla.org/firefox/shield_study_7
      surveyId: activity-stream-1
      thanksMessage: Thank You!
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2017-06-26T23:28:24.235684Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n    [normandy.userId]|bucketSample(161, 6, 1000)\n\
      \    && normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_expression: "(\n    [normandy.userId]|bucketSample(161, 6, 1000)\n    &&\
      \ normandy.locale in ['en-US', 'en-AU', 'en-CA', 'en-GB', 'en-NZ', 'en-ZA']\n\
      \    && normandy.channel == 'release'\n)"
    filter_object: []
    id: 1171
    identicon_seed: v1:101
    metadata: {}
    name: Shield Study 7 - Activity Stream V1
    recipe:
      approved_revision_id: null
      id: 101
      latest_revision_id: 1171
    updated: '2017-06-26T23:28:24.242185Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 102
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt spenden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=de-feedback-request-donatenow
      message: Spenden Sie an Mozilla, die gemeinnützige Organisation hinter Firefox?
        Vielen Dank!
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-feedback-request-donatenow
      surveyId: foundation-de-feedback-request-donatenow
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:21.191790Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*0, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*0, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1162
    identicon_seed: v1:102
    metadata: {}
    name: Promo - Foundation - de-feedback-request-donatenow
    recipe:
      approved_revision_id: null
      id: 102
      latest_revision_id: 1162
    updated: '2017-02-01T23:53:26.841337Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 103
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt spenden
      message: Spenden Sie an Mozilla, die gemeinnützige Organisation hinter Firefox?
        Vielen Dank!
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-nofeedback-request-donatenow
      surveyId: foundation-de-nofeedback-request-donatenow
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:24.855140Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*1, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*1, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1160
    identicon_seed: v1:103
    metadata: {}
    name: Promo - Foundation - de-nofeedback-request-donatenow
    recipe:
      approved_revision_id: null
      id: 103
      latest_revision_id: 1160
    updated: '2017-02-01T23:53:24.721886Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 104
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Spenden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=de-feedback-request-donate
      message: Spenden Sie an Mozilla, die gemeinnützige Organisation hinter Firefox?
        Vielen Dank!
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-feedback-request-donate
      surveyId: foundation-de-feedback-request-donate
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:28.598589Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*2, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*2, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1158
    identicon_seed: v1:104
    metadata: {}
    name: Promo - Foundation - de-feedback-request-donate
    recipe:
      approved_revision_id: null
      id: 104
      latest_revision_id: 1158
    updated: '2017-02-01T23:53:26.495236Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 105
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Spenden
      message: Spenden Sie an Mozilla, die gemeinnützige Organisation hinter Firefox?
        Vielen Dank!
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-nofeedback-request-donate
      surveyId: foundation-de-nofeedback-request-donate
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:32.132792Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*3, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*3, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1156
    identicon_seed: v1:105
    metadata: {}
    name: Promo - Foundation - de-nofeedback-request-donate
    recipe:
      approved_revision_id: null
      id: 105
      latest_revision_id: 1156
    updated: '2017-02-01T23:53:26.812549Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 106
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt spenden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=de-feedback-inform-donatenow
      message: Wussten Sie, dass Firefox-Entwickler Mozilla eine gemeinnützige Organisation
        ist, die von Spenden von Nutzern wie Ihnen abhängig ist?
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-feedback-inform-donatenow
      surveyId: foundation-de-feedback-inform-donatenow
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:36.498750Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*4, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*4, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1154
    identicon_seed: v1:106
    metadata: {}
    name: Promo - Foundation - de-feedback-inform-donatenow
    recipe:
      approved_revision_id: null
      id: 106
      latest_revision_id: 1154
    updated: '2017-02-01T23:53:26.964674Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 107
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt spenden
      message: Wussten Sie, dass Firefox-Entwickler Mozilla eine gemeinnützige Organisation
        ist, die von Spenden von Nutzern wie Ihnen abhängig ist?
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-nofeedback-inform-donatenow
      surveyId: foundation-de-nofeedback-inform-donatenow
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:41.634816Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*5, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*5, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1152
    identicon_seed: v1:107
    metadata: {}
    name: Promo - Foundation - de-nofeedback-inform-donatenow
    recipe:
      approved_revision_id: null
      id: 107
      latest_revision_id: 1152
    updated: '2017-02-01T23:53:24.997135Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 108
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Spenden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=de-feedback-inform-donate
      message: Wussten Sie, dass Firefox-Entwickler Mozilla eine gemeinnützige Organisation
        ist, die von Spenden von Nutzern wie Ihnen abhängig ist?
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-feedback-inform-donate
      surveyId: foundation-de-feedback-inform-donate
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:45.418399Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*6, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*6, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1150
    identicon_seed: v1:108
    metadata: {}
    name: Promo - Foundation - de-feedback-inform-donate
    recipe:
      approved_revision_id: null
      id: 108
      latest_revision_id: 1150
    updated: '2017-02-01T23:53:24.979693Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 109
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Spenden
      message: Wussten Sie, dass Firefox-Entwickler Mozilla eine gemeinnützige Organisation
        ist, die von Spenden von Nutzern wie Ihnen abhängig ist?
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-nofeedback-inform-donate
      surveyId: foundation-de-nofeedback-inform-donate
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:48.962225Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*7, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*7, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1148
    identicon_seed: v1:109
    metadata: {}
    name: Promo - Foundation - de-nofeedback-inform-donate
    recipe:
      approved_revision_id: null
      id: 109
      latest_revision_id: 1148
    updated: '2017-02-01T23:53:24.961541Z'
  signature: null
  uses_only_baseline_capabilities: true
- approved_revision: null
  id: 110
  latest_revision:
    action:
      arguments_schema:
        $schema: http://json-schema.org/draft-04/schema#
        description: This action shows a single survey.
        properties:
          engagementButtonLabel:
            default: null
            description: Text for the engagement button. If specified, this button
              will be shown instead of rating stars.
            type:
            - string
            - 'null'
          includeTelemetryUUID:
            default: false
            description: Include unique user ID in post-answer-url and Telemetry
            type: boolean
          learnMoreMessage:
            default: null
            description: Message to show to the user to learn more
            type:
            - string
            - 'null'
          learnMoreUrl:
            default: null
            description: URL to show to the user when they click Learn More
            type:
            - string
            - 'null'
          message:
            description: Message to show to the user
            type: string
          postAnswerUrl:
            default: null
            description: URL to redirect the user to after rating Firefox or clicking
              the engagement button
            type:
            - string
            - 'null'
          repeatEvery:
            default: null
            description: For repeatOption=xdays, how often (in days) the prompt is
              displayed.
            type:
            - number
            - 'null'
          repeatOption:
            default: once
            description: Determines how often a prompt is shown executes.
            enum:
            - once
            - xdays
            - nag
            type: string
          surveyId:
            description: Slug uniquely identifying this survey in telemetry
            type: string
          thanksMessage:
            description: Thanks message to show to the user after they've rated Firefox
            type: string
        required:
        - surveyId
        - message
        - thanksMessage
        - postAnswerUrl
        - learnMoreMessage
        - learnMoreUrl
        title: Show a Heartbeat survey.
        type: object
      id: 2
      implementation_url: https://normandy.cdn.mozilla.net/api/v1/action/show-heartbeat/implementation/sha384-VTOdZHFMo1LOw0JWf6_jAGBb9r5sBbb7BQrmI8n3wy3oVO3ywb1g3ulD1BagmaMA/
      name: show-heartbeat
    approval_request: null
    arguments:
      engagementButtonLabel: Jetzt spenden
      learnMoreMessage: Ihre Meinung sagen
      learnMoreUrl: https://qsurvey.mozilla.com/s3/Foundation-Heartbeat-Test?utm_content=de-feedback-reason-donatenow
      message: Wenn jeder, der das liest, 3€ spenden würde, hätte Mozilla genug für
        ein weiteres Jahr.
      postAnswerUrl: https://donate.mozilla.org/de?utm_source=heartbeattest&utm_medium=heartbeat&utm_campaign=1610FundTest&utm_content=de-feedback-reason-donatenow
      surveyId: foundation-de-feedback-reason-donatenow
      thanksMessage: Vielen Dank
    capabilities:
    - action.show-heartbeat
    comment: ''
    creator: null
    date_created: '2016-12-08T19:27:54.096781Z'
    enabled: false
    enabled_states: []
    experimenter_slug: null
    extra_capabilities: []
    extra_filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*8, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_expression: "(\n   [normandy.userId]|bucketSample(570 + 4*8, 4, 10000)\n\
      \    && normandy.locale in ['de']\n)"
    filter_object: []
    id: 1146
    identicon_seed: v1:110
    metadata: {}
    name: Promo - Foundation - de-feedback-reason-donatenow
    recipe:
      approved_revision_id: null
      id: 110
      latest_revision_id: 1146
    updated: '2017-02-01T23:53:24.943779Z'
  signature: null
  uses_only_baseline_capabilities: true
